<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>

  
 <div class='responce' id="demo"></div>
 <div class='responce' id="demo1"></div>
 <!-- <div onmouseover="mOver(this)" onmouseout="mOut(this)" 
style="background-color:#D94A38;width:120px;height:20px;padding:40px; color:#fff">
Mouse Over Me</div> -->
<!-- <button id="button">Try it</button> -->
<!-- <button type="button" onclick="myFunction()">Try</button> -->
</head>
<body>

  <script>
    //my function 1...................

    // function myFunction(p1, p2){
    //     return p1 * p2
    //   }
    //   document.getElementById("demo").innerHTML = myFunction(4, 5);

    //my function 2...................
    //   var userName = {
    //   firstName : "kamal",
    //   lastName : "jimiwal", 
    //   age : "30",
    //   fullName : function(){
    //       return this.firstName +  this.lastName  + this.age
    //   }
    // }
    // document.getElementById("demo").innerHTML = userName.fullName();

    //my function 3...................
    // var users = {
    //     fullName : function(city){
    //        return this.firstName +  this.lastName  + this.age + city +"<br>"
    //    }
    // }
    // var userName1 = {
    //     firstName : "kamal",
    //     lastName : "jimiwal", 
    //     age : "30",
    // }
    // var userName2 = {
    //     firstName : "Amit",
    //     lastName : "Vishwakarma", 
    //     age : "30",
    // }
    // var x = users.fullName.call(userName1, "Bangalore") + users.fullName.call(userName2, "Goa") ;
    // document.getElementById("demo").innerHTML = x;

    //my function 4...................  
    // var user = {
    // fullName: function(city, country) {
    //     return this.firstName + " " + this.lastName + "," + city + "," + country;
    // }
    // }
    // var person1 = {
    // firstName:"Kundan",
    // lastName: "Jimiwal"
    // }
    // var x = user.fullName.apply(person1, ["Bangalore", "India"]); 
    // document.getElementById("demo").innerHTML = x;


    //my function 5...................
    // function mOver(obj){
    //     obj.innerHTML = "First Text"
    // }
    // function mOut(obj){
    //     obj.innerHTML = "Second Text"
    // }


    //my function 6...................
    // var x = document.getElementById("button");
    // x.addEventListener("click", myFunction);
    
    // function myFunction() {
    //   document.getElementById("demo").innerHTML += "Clicked!<br>";
    // }
    

    //my function 7...................
    // function allCount(){
    //     var i;
    //     var sum = 0;
    //     for (i = 0; i < arguments.length; i++){
    //     sum += arguments[i]
    //     }
    //     return sum;
    // }
    // document.getElementById("demo").innerHTML = allCount(10,20,40,30)

    //my function 8...................
    // var a = 4;
    //   function myFunction() {
    //   document.getElementById("demo").innerHTML = a * a;
    //   } 

    //my function 8...................
        // var counter = 0;
        // function count(){
        //     counter = counter + 1
        // }
        // count()
        // count()
        // count()
        // count()
        // document.getElementById("demo").innerHTML = "Total count is: " + counter;


    //my function 9................... 
    // function add() {
    // var counter = 0;
    // function plus() {counter += 1;}
    //     plus(); 
    //     plus();
    //     plus();
    //     return counter; 
    // }
    // document.getElementById("demo").innerHTML = add();

    //my function 10................... 
    // function myFunc(theObject) {
    //   theObject.make = 'Toyota';
    //   theObject.model = 'Toyota';
    //   theObject.year = 1999;
    //   }

    //   var mycar = {make: 'Honda', model: 'Accord', year: 1998};
    //   var x, y;
    //   document.getElementById("demo").innerHTML = mycar.make + mycar.model + mycar.year;
    //   x = mycar.make; 
    //   myFunc(mycar);
    //   y = mycar.make;
    //   document.getElementById("demo1").innerHTML = mycar.make + mycar.model + mycar.year;

    //my function 11................... 
    // function showMessage() {
    //     var message = "Hello everyone!"
    //     alert(message);
    //     }
    //     showMessage();
    //     showMessage();

    //my function 12................... 
    // function showMessage(from, text) { 
    //     alert(from + ': ' + text);
    //     }
    //     showMessage('Kamal', 'Hello!');
    //     showMessage('Kamal', "What's up?");

    //my function 13................... 
    // function sum(a, b, c, d) {
    //   return a + b + c + d;
    // }
    // var result = sum(1, 2, 3, 4);
    // document.getElementById("demo1").innerHTML = result;

    //my function 14................... 
    // function checkAge(age) {
    // if (age >= 18) {
    // return true;
    // } else {
    // return confirm('Sorry');
    //   }
    // }
    // var age = prompt('How old are you?', 18);

    // if ( checkAge(age) ) {
    // alert( 'Done' );
    // } 

    //my function 15................... 
    // function ShowMessage() {
    // for(var i = 0; i < arguments.length; i++){
    // alert(arguments[i]);
    //  }
    // }
    // ShowMessage("Hello", "Kamal", "Amit");
    
    //my function 16...................
    // function Sum(val1, val2) {
	// 		return val1 + val2;
	// 	};
	// 	document.getElementById("demo").innerHTML = Sum(10,20); 

	// 	function Multiply(val1, val2) {
	// 		return val1 * val2;
	// 	};
    // 	document.getElementById("demo1").innerHTML =  Multiply(10,20);
    
    function ShowMessage(firstName)
		{
			function SayHello() {
				alert("Hello " + firstName);
			}

			return SayHello();
		}

		ShowMessage("Kamal");
    </script>
</body>
</html>